package com.codigoparallevar.minicards;

import com.codigoparallevar.minicards.types.Part;
import com.codigoparallevar.minicards.types.PartGrid;
import com.codigoparallevar.minicards.types.Tuple2;

public abstract class PartInstantiator {
    protected abstract Part instantiate(PartGrid grid, Tuple2<Integer, Integer> center);

    public Part build(CanvasView canvasView) {
        Tuple2<Integer, Integer> center = canvasView.getCenteredOn();

        return instantiate(canvasView, center);
    }
}
