package com.codigoparallevar.minicards;

import android.graphics.Color;

class PreviewCard {
    public static final int DEFAULT_COLOR = Color.parseColor("#044563");
    private final String name;
    private final int cardId;
    private final int color;

    public PreviewCard(String name, int cardId, int color) {
        this.name = name;
        this.cardId = cardId;
        this.color = color;
    }

    public String getName() {
        return name;
    }

    public int getCardId() {
        return cardId;
    }

    public int getColor() {
        return color;
    }
}
